Subject: [Roll] [roll] #99: clarify for readers how/where provisioning of devices occurs

From: "roll issue tracker" <[email-masked]>
Date: Fri, 25 May 2012 14:28:34 -0000

#99: clarify for readers how/where provisioning of devices occurs

 {{{
 >      Ralph>  OK, do I understand the fundamental issue correctly: the
 >      Ralph>  assumption that there must be some form of installation
 >      Ralph>  process to adapt the device to the specific deployment?
 >
 > Yes, that's my understanding of what current manufacturers/system
 > integrators expect.  Remember: there is layer-2 security stuff that also
 > would need to be initialized before the smart object could even get on
 > the network to see any kind of announcement.
 >
 > I believe that the layer-2 key initialization stuff will progress in the
 > future.  802.15.9 is chaired by Bob Moskovitz, and they are discussing
 > DTLS, IKEv2, HIP and a fourth one.
 >
 >

 As long as that is clarified in the document, I am fine with it.
 }}}

-- 
-------------------------+-------------------------------------------------
 Reporter:  mcr@…        |      Owner:  draft-ietf-roll-minrank-hysteresis-
     Type:  task         |  of@…
 Priority:  major        |     Status:  new
Component:  minrank-     |  Milestone:
  hysteresis-of          |    Version:
 Severity:  In WG Last   |   Keywords:
  Call                   |
-------------------------+-------------------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/roll/trac/ticket/99>
roll <http://tools.ietf.org/wg/roll/>

---

From: Omprakash Gnawali <[email-masked]>
Date: Fri, 25 May 2012 09:32:05 -0500

I was wondering if the first paragraph of 6.1 is enough for things
that need to be configured/provisioned for MRHOF.

- om_p

On Fri, May 25, 2012 at 9:28 AM, roll issue tracker
<[email-masked]> wrote:
>  >      Ralph>  OK, do I understand the fundamental issue correctly: the
>  >      Ralph>  assumption that there must be some form of installation
>  >      Ralph>  process to adapt the device to the specific deployment?
>  >
>  > Yes, that's my understanding of what current manufacturers/system
>  > integrators expect.  Remember: there is layer-2 security stuff that also
>  > would need to be initialized before the smart object could even get on
>  > the network to see any kind of announcement.
>  >
>  > I believe that the layer-2 key initialization stuff will progress in the
>  > future.  802.15.9 is chaired by Bob Moskovitz, and they are discussing
>  > DTLS, IKEv2, HIP and a fourth one.
>  >
>  >
>

---

From: Michael Richardson <[email-masked]>
Date: Fri, 25 May 2012 11:30:50 -0400

>>>>> "Omprakash" == Omprakash Gnawali <[email-masked]> writes:
    Omprakash> I was wondering if the first paragraph of 6.1 is enough for things
    Omprakash> that need to be configured/provisioned for MRHOF.

I think that it works for *MRHOF*, but I think that we have a bigger
picture problem here.

-- 
Michael Richardson <[email-masked]>, Sandelman Software Works 
IETF ROLL WG co-chair.    http://datatracker.ietf.org/wg/roll/charter/